Skip to main content
`Ctrl`+`K`

# DMNetworkViewSetViewRanks

View the `DMNETWORK` on each of the specified ranks individually.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkViewSetViewRanks(DM dm, IS viewranks)

Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameter

- viewranks - set of ranks to view the `DMNETWORK` on individually

## Note

`DMNetwork` takes ownership of the input viewranks `IS`, it should be destroyed by the caller.

## See Also

`DM`, `DMNETWORK`, `DMNetworkViewSetShowRanks()`, `DMNetworkViewSetShowGlobal()`, `DMNetworkViewSetShowVertices()`, `DMNetworkViewSetShowNumbering()`

## Level

beginner

## Location

src/dm/impls/network/networkview.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages